Data Fields

# rpmBuildArguments_s Struct Reference
[RPMCLI.]

Describe build command line request. More...

`#include <lib/rpmcli.h>`

## Data Fields
rpmQueryFlags | qva_flags
int | buildAmount
const char * | passPhrase
const char * | cookie
int | noBuild
int | noDeps
int | noLang
int | shortCircuit
int | sign
int | useCatalog
char | buildMode
char | buildChar
const char * | rootdir

## Detailed Description

Describe build command line request.

Definition at line 855 of file rpmcli.h.

## Field Documentation

int rpmBuildArguments_s::buildAmount

Bit(s) to control operation.

Definition at line 857 of file rpmcli.h.

Referenced by buildArgCallback(), main(), prepFetch(), and prepFetchVerbose().

char rpmBuildArguments_s::buildChar

Build stage (one of "abcilps ")

Definition at line 869 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

char rpmBuildArguments_s::buildMode

Build mode (one of "btBC")

Definition at line 868 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

const char* rpmBuildArguments_s::cookie

NULL for binary, ??? for source, rpm's

Definition at line 861 of file rpmcli.h.

Referenced by main().

int rpmBuildArguments_s::noBuild

from --nobuild

Definition at line 862 of file rpmcli.h.

Referenced by buildArgCallback().

int rpmBuildArguments_s::noDeps

from --nodeps

Definition at line 863 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

int rpmBuildArguments_s::noLang

from --nolang

Definition at line 864 of file rpmcli.h.

Referenced by buildArgCallback().

const char* rpmBuildArguments_s::passPhrase

Pass phrase.

Definition at line 859 of file rpmcli.h.

Referenced by main().

rpmQueryFlags rpmBuildArguments_s::qva_flags

Bit(s) to control verification.

Definition at line 856 of file rpmcli.h.

Referenced by buildArgCallback().

const char* rpmBuildArguments_s::rootdir

Definition at line 871 of file rpmcli.h.

Referenced by main().

int rpmBuildArguments_s::shortCircuit

from --short-circuit

Definition at line 865 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

int rpmBuildArguments_s::sign

from --sign

Definition at line 866 of file rpmcli.h.

Referenced by buildArgCallback(), and main().

int rpmBuildArguments_s::useCatalog

from --usecatalog

Definition at line 867 of file rpmcli.h.

Referenced by buildArgCallback().

The documentation for this struct was generated from the following file:

- lib/rpmcli.h